import { Sprite, Vector3 } from 'three';
import { Base } from '../base';
import _Map from '../map/map';
interface IOptions {
    name: string;
    icon: any;
    scale?: number;
    renderOrder: number;
    position: Vector3;
}
export default class PoiMarker extends Base {
    private options;
    private _scale;
    sprite: Sprite;
    constructor(options: IOptions);
    _inject(map: _Map, _scale?: number): this;
    _create(): Promise<Sprite>;
    setPosition(position: Vector3): void;
    private generateCanvas;
    private makeCanvasSprite;
}
export {};
